> For the complete documentation index, see [llms.txt](https://docs.gremsy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gremsy.com/payloads/vio/ethernet-video-stream/change-rtsp-streaming-paramters-via-sd-card.md).

# Change RTSP streaming paramters via SD Card

This function is no longer support from VIO Software v1.0.4.2 or higher.

## **1. Overview**

* This is a menthod to allow user can change the parameter of RTSP streaming from the Vio payload
* Software App version: v1.0.3.1 to v1.0.4.1[ download link](https://github.com/Gremsy/Vio-Software/releases/latest)
* This function is no longer support from VIO Software v1.0.4.2 or higher. Please configure the RTSP stream via Web App Settings

## **2. How to use**

* Create a "rtsp\_stream.txt" file to the top folder on the microSD card then plug into the Vio payload
* With App [version 1.0.3.6](https://github.com/Gremsy/Vio-Software/releases/tag/v1.1.0), Create a "[rtsp\_stream.json](https://github.com/Gremsy/Vio-Software/releases/download/v1.1.0/rtsp_stream.json)" file to the top folder on the microSD card then plug into the Vio payload
* Reboot to apply the settings.
* The parameter will be default if the Vio payload can not detect the config file on the microSD card.
* The default settings is: 1080p / 4M.

## **3. The content of rtsp\_stream.txt file**

```
/*-----RTSP stream config-----*/
// Change the setting below to change the rtsp stream info

// streaming resolution
// 1: 1920x1080
// 2: 1280x720
// 3: 640x480
RESOLUTION 3

// streaming bitrate, in bits
BITRATE 4000000

/*-----End--------------------*/
```

## **4. Test command with gstreamer**

```
gst-launch-1.0 rtspsrc latency=0 location=rtsp://<vio_ip>:8554/vio ! rtph264depay ! decodebin ! videoconvert ! autovideosink sync=false
```

* Change the latency to 100 / 500/ 1000 then see the difference.

## **5. Convert dos2unix**

* If you create a rtsp\_stream.txt on a Windows machine, it must be convert to unix system file style.
* Please use below tools to convert the file before putting it onto the microSD card.

[`https://toolslick.com/conversion/text/dos-to-unix`](https://toolslick.com/conversion/text/dos-to-unix)<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.gremsy.com/payloads/vio/ethernet-video-stream/change-rtsp-streaming-paramters-via-sd-card.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
